### Method

# Vte Terminal check_match_at

since: 0.70

#### Declaration [src]

    char*
    vte_terminal_check_match_at (
      VteTerminal* terminal,
      double x,
      double y,
      int* tag
    )

#### Description [src]

Checks if the text in and around the position (x, y) matches any of the regular expressions previously set using vte_terminal_match_add(). If a match exists, the text string is returned and if `tag` is not `NULL`, the number associated with the matched regular expression will be stored in `tag`.

If more than one regular expression has been set with vte_terminal_match_add(), then expressions are checked in the order in which they were added.

Available since: 0.70

#### Parameters

`x`

  Type: `double`

  No description available.

`y`

  Type: `double`

  No description available.

`tag`

  Type: `int*`

  A location to store the tag, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `char*`

A newly allocated string which matches one of the previously set regular expressions, or `NULL` if there is no match.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.